import processing.core.PApplet;
import processing.core.PImage;

import java.util.LinkedList;
import java.util.Queue;

public class GraphicsProgram extends PApplet {

    PImage imgBlue;
    PImage imgRed;

    Player player1;
    Player player2;

    private final int TRAIL_LENGTH = 30;

    public GraphicsProgram(Player player1, Player player2) {
        this.player1 = player1; // Beispiel: Initialgröße setzen
        this.player2 = player2;
    }

    public static void main(String[] args) {
        PApplet.main("GraphicsProgram");
    }

    public void settings() {
        //fullScreen();
    }

    public void setup(){
        imgBlue = loadImage("TrailBlue.png");
        imgRed = loadImage("TrailRed.png");
        background(0);
    }

    public void draw(){
        drawPlayer(0);
        drawPlayer(1);
    }
    public void drawPlayer(int playerID){

        int particleSize = 5;

        Queue<int[]> trail;

        if(playerID == 0){
            trail = player1.getTrail();
        } else{
            trail = player2.getTrail();
        }

        while(!trail.isEmpty()) {
            int[] koordinaten = trail.poll();
            int x = 1;
            int y = 1;

            if(playerID == 0){
                image(imgBlue, x, y, particleSize, particleSize);
            } else if (playerID == 1) {
                image(imgRed, x, y, particleSize, particleSize);
            }else{
                fill(0, 255, 0);
                rect(x, y, particleSize, particleSize);
            }
            particleSize ++;
        }

    }

    public void drawEvent(){

    }
}
